#!/bin/sh
# number of instances for specified process
# ps -e | awk 'BEGIN { count=0 } $4=="'$1'"{count++} END {print count}'

if [ $# -ne 0 ]
then
  OS=`uname`
  case $OS in
    AIX) PSLIST='ps -Ao comm';;
    Linux) PSLIST='ps -eo ucmd';;
    Darwin) PSLIST='ps -Aco command';; 
    FreeBSD) PSLIST='ps -axco command';;
    NetBSD)  PSLIST='ps -axco command';;
    OpenBSD) PSLIST='ps -axco command';;
    SunOS)   PSLIST='ps -eo fname';;
    QNX)     PSLIST='ps -eo comm';;
    HP-UX)   ps -e | awk 'BEGIN { cnt=0 } $4=="'$1'" {cnt++} END {printf cnt}'
             exit;;
    *) echo 'ScriptRes:Unknown:script is not designed for '$OS
       exit;;
  esac
  $PSLIST | awk 'BEGIN { cnt=0 } $1=="'$1'" {cnt++} END {printf cnt}'
else
  echo 'Name of the process should be specified'
fi
